Citrix DaaS

升级 VDAs

简介

Citrix 负责维护您的部署中除 VDA 以外的所有 Citrix DaaS(以前称为 Citrix Virtual Apps and Desktops 服务)组件。

开始升级 VDA 之前:

  • 查看整篇文章,以便了解所需的对象。
  • 查看 Citrix DaaS 的生命周期策略

要升级 VDA,请下载 VDA 安装程序并在计算机或映像上运行该安装程序。可以使用安装程序的图形界面或命令行界面。有关指导,请参阅:

如果 VDA 最初是使用 VDAWorkstationCoreSetup.exe 安装的:

  • 如果使用同一安装程序的最新版本升级 VDA,则保留该配置。
  • 如果您在该计算机上运行 VDAWorkstationSetup.exe,则可以启用 VDAWorkstationCoreSetup.exe 中不支持的功能。请谨记,其中某些功能可能会在 VDAWorkstationSetup.exe 安装程序中默认启用。还可以安装 Citrix Workspace 应用程序。

注意:

将 VDA 升级到版本 7.17 或受支持的更高版本,升级过程中将重新启动计算机。本次重新启动是不可避免的。升级在重新启动后自动继续进行(除非您在命令行中指定了 /noresume)。

升级 VDA 后,请更新使用该 VDA 的映像和目录

使用完整配置界面升级 VDA

注意:

此功能可作为预览版使用。如果您有兴趣对其进行评估,请通过此表单提交您的请求。

使用完整配置界面,您可以按目录或每台计算机升级 VDA。您可以立即或在预定时间升级它们。

必备条件:

  • 控制平面:Citrix DaaS
  • VDA 类型:单会话或多会话操作系统 VDA
  • VDA 版本:2109 或更高版本,或 2203 LTSR 或更高版本
  • 置备类型:MCS 置备的持久性计算机,或不是使用 MCS 创建的计算机(例如,物理机)
  • VDA 必须安装了 VDA 升级代理

使用完整配置界面升级 VDA 的常规工作流程如下所示:

  1. 为目录启用 VDA 升级。

  2. 在每个目录或每台计算机的基础上升级 VDA。有关更多信息,请参阅 升级 VDA

如果 VDA 安装了 Personal vDisk

如果 VDA 上曾安装过 Personal vDisk (PvD) 组件,则无法将该 VDA 升级到 1912 LTSR 或更高版本,直指您删除该组件。

即使您从未使用 PvD,此指导亦适用。下面是 PvD 组件在早期版本中的安装方式:

  • 在 VDA 安装程序的图形界面中,PvD 是其他组件页面上的一个选项。默认情况下,7.15 LTSR 和更早的 7.x 版本启用了此选项。因此,如果您接受默认值(或在任何版本中明确启用了该选项),则安装了 PvD。
  • 在命令行上,/baseimage 选项安装了 PvD。如果指定了此选项,或使用了包含此选项的脚本,则安装了 PvD。

要执行的操作

如果 VDA 安装程序未检测到当前安装的 VDA 中的 PvD 组件,则会像往常一样进行升级。

如果安装程序在当前安装的 VDA 中检测到 PvD 组件:

  • 图形界面: 升级暂停。此时将显示一条消息,询问您是否希望自动删除不受支持的组件。如果单击确定,则会自动删除该组件并继续进行升级。

  • CLI: 如果安装程序检测到 PvD 组件,该命令将失败。为避免命令失败,请在命令中包括以下选项:/remove_pvd_ack

如果要在 Windows 7 或 Windows 10(1607 及更早版本,无更新)计算机上继续使用 PvD,VDA 7.15 LTSR 为受支持的最新版本。

早期版本的操作系统

系统要求一文列出了当前版本 VDA 支持的 Windows 操作系统。

  • 对于 LTSR VDA,请参阅 LTSR 版本的系统要求一文。
  • 有关 Linux VDA 的信息,请参阅 Linux Virtual Delivery Agent 文档。

对于安装了不再支持安装最新的 VDA 的操作系统(Windows 7 和 Windows Server 2008 R2)的 Windows 计算机,您可以选择使用多个选项。

  • Azure 虚拟桌面环境支持 Windows 7。
  • 对于非 WVD 环境:

    • 将计算机重置映像到受支持的 Windows 版本,然后安装新 VDA。
    • 如果无法对计算机重置映像,但您要升级操作系统,请在升级操作系统之前卸载 VDA。否则,VDA 将处于不受支持的状态。升级操作系统后,安装新 VDA。
    • 要继续使用安装了不再支持的操作系统的计算机,则支持的适用于 Windows 7 和 Windows Server 2008 R2 的最新 VDA 版本将为 XenApp 和 XenDesktop 7.15 LTSR。
      • 如果计算机上安装了版本 7.15 LTSR(并且您尝试安装更高版本),则会显示一条消息,告知您使用的是支持的最新版本。
      • 如果计算机上安装的版本早于 7.15 LTSR,则会显示一条消息,指导您参阅 CTX139030 了解相关信息。可以从 Citrix Web 站点下载 7.15 LTSR VDA。
升级 VDAs